2022-11-30 17:18 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005854Twylyte[All Projects] Generalpublic2022-11-14 17:47
Reporterretrogamer 
Assigned ToCFOUProject InfoTwylyte (Wicked)
http://www.whdload.de/games/Twylyte.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005854: Exception "Integer Divide by Zero" ($14) at $1B624 (Task 'Initial CLI')
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2000

Exception "Integer Divide by Zero" ($14) at $1B624 (Task 'Initial CLI')
occurred when running the game with 68010 cpu.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetOCS
GFXCardNone
ChipMem256 KB
FastMem0 MB
WorkbenchOS 3.2
KickROM47 - Kick 3.2
KickSoftNone
WHDLoad18.8
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0011929

retrogamer (reporter)

registerfile attatched.

note ~0011935

CFOU (developer)

i think is a WHDLoad's bug.

indeed i use WHDLF_EmulDivZero flag, normally WHDLoad would not leave on error message and ignore this exception.

same problem with Hyperion and Hoversprint (soon released)

I asked Bert (WEPL) about this.

I'm waiting for his answer.

see AUTODOC:
WHDLF_EmulDivZero / WHDLB_EmulDivZero
                   This flag has an effect only if the VBR is moved by WHDLoad
                   (i.e. the machine is at least a 68010 and the tooltype
                   NoVBRMove is not set).
                   If the flag is set all division by zero exceptions are
                   emulated by the exception handler inside WHDLoad. I.e. the
                   handler checks if the vector ($14) is initialized and if
                   the routine to which the vector points to will be called by
                   WHDLoad.
                   This flag has precedence over the flag NoDivZero.

note ~0011942

CFOU (developer)

of course temporary solution is to use NoVBRMove option.

note ~0011953

CFOU (developer)

@retrogamer
have you compare with real 68010?

it's pehaps an issue with Winuae?

note ~0011955

CFOU (developer)

see:
https://eab.abime.net/showthread.php?t=112420

note ~0011983

CFOU (developer)

fixed with v1.1
+Notes

-Issue History
Date Modified Username Field Change
2022-11-05 22:19 administrator New Issue
2022-11-05 22:19 administrator Status new => assigned
2022-11-05 22:19 administrator Assigned To => CFOU
2022-11-06 00:27 retrogamer File Added: .whdl_registertwylyte
2022-11-06 00:27 retrogamer Note Added: 0011929
2022-11-09 18:26 CFOU Note Added: 0011935
2022-11-10 01:02 CFOU Note Added: 0011942
2022-11-10 23:36 CFOU Note Added: 0011953
2022-11-11 14:25 CFOU Note Added: 0011955
2022-11-14 17:47 CFOU Status assigned => resolved
2022-11-14 17:47 CFOU Resolution open => fixed
2022-11-14 17:47 CFOU Note Added: 0011983
+Issue History